%define version 4.9.0
%define release 1

%define pbuildroot %{_tmppath}/libdsp-%{version}-root

Name: libdsp
Summary: C/C++ library of digital signal processing functions
Version: %{version}
Release: %{release}
License: GPL
Vendor: Jussi Laako <jussi@sonarnerd.net>
Distribution: research software
# Copyright: Copyright (C) 1998-2003 Jussi Laako
Packager: Jussi Laako <jussi@sonarnerd.net>
Source: libdsp-src-%{version}.tar.gz
Group: Libraries/Research
BuildRoot: %{pbuildroot}

BuildRequires: gcc-c++
BuildRequires: libtool

%description
libDSP is a library of commonly used digital signal processing functions for
use in C++ language. Wrapper is provided for use in C language.

%package devel
Summary: Development tools required for developing software using libDSP
Group: Development/Libraries

Requires: gcc-c++

%description devel
The libdsp-devel package contains files required to develop programs that
use libDSP digital signal processing library.

%prep
%setup -q -n libdsp-%{version}

%build
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_prefix}/include
mkdir -p $RPM_BUILD_ROOT/%{_prefix}/lib
make -C Inlines PREFIX=$RPM_BUILD_ROOT%{_prefix} install
make -C DynThreads PREFIX=$RPM_BUILD_ROOT%{_prefix} \
	PKGINC=-I$RPM_BUILD_ROOT%{_prefix}/include
make -C DynThreads PREFIX=$RPM_BUILD_ROOT%{_prefix} install
make -C libDSP PREFIX=$RPM_BUILD_ROOT%{_prefix} \
	PKGINC=-I$RPM_BUILD_ROOT%{_prefix}/include \
	TGPREFIX=%{_prefix}

%install
make -C libDSP PREFIX=$RPM_BUILD_ROOT%{_prefix} TGPREFIX=%{_prefix} install

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc CONTACT COPYING CREDITS
%{_prefix}/lib/libdsp.so.*

%files devel
%defattr(-,root,root,-)
%doc html
%{_prefix}/lib/libDynThreads.a
%{_prefix}/lib/libdsp.so
%{_prefix}/lib/libdsp.a
%{_prefix}/lib/libdsp.la
%{_prefix}/include/Alloc.hh
%{_prefix}/include/Compilers.hh
%{_prefix}/include/Condition.hh
%{_prefix}/include/Exception.hh
%{_prefix}/include/Mutex.hh
%{_prefix}/include/PthCond.hh
%{_prefix}/include/PthMutex.hh
%{_prefix}/include/RWLock.hh
%{_prefix}/include/Semaphore.hh
%{_prefix}/include/DynThreads.hh
%{_prefix}/include/dsp/*

%changelog
* Sun Sep 21 2003 Jussi Laako <jussi@sonarnerd.net>
- Create .spec file for rpm package
- First rpm build

